Debian Bug report logs - #591469
please mark ndiff as lenny only in rescue list

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: jeff@kikisoso.org

Date: Tue, 3 Aug 2010 12:21:01 UTC

Severity: normal

Found in version live-helper/2.0~a14-1

Fixed in version live-build/2.0~a22-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#591469; Package live-helper. (Tue, 03 Aug 2010 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jeff@kikisoso.org:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 03 Aug 2010 12:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeff Green <jeff@kikisoso.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: Problems encountered while building on a powerpc
Date: Tue, 03 Aug 2010 08:17:44 -0400
Package: live-helper
Version: 2.0~a14-1
Severity: normal


Please take this report in the spirit of an "installation" report.

The following packages caused problems:

ndiff	- conflict with nmap
guymager & libguytools1	- not found
mdadm	- problems while building kernel initrd

I basically excluded them from the build via modifying the appropriate list.

The following config information in config/binary

# $LH_CHECKSUMS: set checksums
# (Default: true) 
LH_CHECKSUMS="true" changed to "md5" to make it work.

caused confusion, e.g. the error:
P: Begin creating binary truesum.txt...
xargs: truesum: No such file or directory

I.e. is "true" really the correct default?

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-5-powerpc
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.23     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-1 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3    Linux fdisk replacement based on l

Versions of packages live-helper suggests:
ii  dosfstools                    3.0.9-1    utilities for making and checking 
ii  genisoimage                   9:1.1.10-1 Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest86        <none>     (no description available)
pn  mtools                        <none>     (no description available)
pn  parted                        <none>     (no description available)
pn  squashfs-tools | genext2fs |  <none>     (no description available)
ii  sudo                          1.7.2p7-1  Provide limited super user privile
pn  syslinux | grub               <none>     (no description available)
ii  uuid-runtime                  2.17.2-3.1 runtime components for the Univers
pn  win32-loader                  <none>     (no description available)

-- no debconf information

-- debsums errors found:
debsums: changed file /usr/share/live-helper/lists/debian-forensics (from live-helper package)
debsums: changed file /usr/share/live-helper/lists/rescue (from live-helper package)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#591469; Package live-helper. (Tue, 03 Aug 2010 15:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 03 Aug 2010 15:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 591469@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: jeff@kikisoso.org
Cc: 591469@bugs.debian.org
Subject: Re: Bug#591469: live-helper: Problems encountered while building on a powerpc
Date: Tue, 03 Aug 2010 17:38:57 +0200
tag 591469 pending
retitle 591469 please mark ndiff as lenny only in rescue list
thanks

On 08/03/2010 02:17 PM, Jeff Green wrote:
> ndiff	- conflict with nmap

hasn't been a problem at the time where alpha2 was built, but was
removed from the archive anyway in the meanwhile, which is why it's now
marked as lenny only in the rescue list.

> guymager & libguytools1	- not found

known, not easy to fix as nested conditionals are currently not possible
in the list.

> mdadm	- problems while building kernel initrd

unknown, didn't had that when building alpha2, please take this up with
the mdadm maintainers.

> I.e. is "true" really the correct default?

true isn't the default, you're using an several month old version of
live-helper. please upgrade to the version from sid.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 15:42:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'please mark ndiff as lenny only in rescue list' from 'live-helper: Problems encountered while building on a powerpc' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 15:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#591469; Package live-helper. (Tue, 03 Aug 2010 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 03 Aug 2010 18:36:06 GMT) Full text and rfc822 format available.

Message #19 received at 591469@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: daniel@debian.org
Cc: 591469@bugs.debian.org
Subject: Re: Bug#591469: live-helper: Problems encountered while building on a powerpc
Date: Tue, 03 Aug 2010 17:29:49 +0000
On 08/03/2010 03:38 PM, Daniel Baumann wrote:
[...snip...]
>
>> I.e. is "true" really the correct default?
>
> true isn't the default, you're using an several month old version of
> live-helper. please upgrade to the version from sid.
>

Although the live-helper that I am using is current (testing current), 
the config directory was generated from an earlier version. Sorry about 
that confusion.

-jeff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#591469; Package live-helper. (Wed, 04 Aug 2010 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 04 Aug 2010 18:03:05 GMT) Full text and rfc822 format available.

Message #24 received at 591469@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: daniel@debian.org
Cc: 591469@bugs.debian.org
Subject: Re: Bug#591469: live-helper: Problems encountered while building on a powerpc
Date: Wed, 04 Aug 2010 18:01:04 +0000
On 08/03/2010 03:38 PM, Daniel Baumann wrote:
[...snip...]
>
>> mdadm	- problems while building kernel initrd
>
> unknown, didn't had that when building alpha2, please take this up with
> the mdadm maintainers.
>

Had a chance to rebuild from the start and so re-included the mdadm 
package in order to get the messages (so that they are here just in 
case). They are:

Setting up linux-image-2.6.32-5-powerpc (2.6.32-18) ...
Running depmod.
Running update-initramfs.
update-initramfs: Generating /boot/initrd.img-2.6.32-5-powerpc
df: Warning: cannot read table of mounted file systems: No such file or 
directory
cryptsetup: WARNING: could not determine root device from /etc/fstab
sed: can't read /etc/mdadm/mdadm.conf: No such file or directory
E: /usr/share/initramfs-tools/hooks/mdadm failed with return 2.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 
2.6.32-5-powerpc /boot/vmlinux-2.6.32-5-powerpc


-jeff




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 10 Aug 2010 02:51:07 GMT) Full text and rfc822 format available.

Notification sent to jeff@kikisoso.org:
Bug acknowledged by developer. (Tue, 10 Aug 2010 02:51:07 GMT) Full text and rfc822 format available.

Message #29 received at 591469-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 591469-close@bugs.debian.org
Subject: Bug#591469: fixed in live-build 2.0~a22-1
Date: Tue, 10 Aug 2010 02:48:02 +0000
Source: live-build
Source-Version: 2.0~a22-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0~a22-1_all.deb
  to main/l/live-build/live-build-cgi_2.0~a22-1_all.deb
live-build_2.0~a22-1.diff.gz
  to main/l/live-build/live-build_2.0~a22-1.diff.gz
live-build_2.0~a22-1.dsc
  to main/l/live-build/live-build_2.0~a22-1.dsc
live-build_2.0~a22-1_all.deb
  to main/l/live-build/live-build_2.0~a22-1_all.deb
live-build_2.0~a22.orig.tar.gz
  to main/l/live-build/live-build_2.0~a22.orig.tar.gz
live-helper_2.0~a22-1_all.deb
  to main/l/live-build/live-helper_2.0~a22-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591469@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Aug 2010 04:21:01 +0200
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0~a22-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 591469
Changes: 
 live-build (2.0~a22-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Making cp calls for syslinux templates recursive, thanks to Tiago
     Bortoletto Vaz <tiago@debian.org>.
 .
   [ Chris Lamb ]
   * Fixing spelling typo.
   * Run chroot stage with /var/lib/dpkg mounted as a tmpfs
 .
   [ Richard Nelson ]
   * Correct typo on build.html.
   * Update to change in location and name of /live-helper.sh to
     /scripts/build.sh.
 .
   [ Daniel Baumann ]
   * Marking ndiff as lenny only in rescue list (Closes: #591469).
 .
   [ Tiago Bortoletto Vaz ]
   * Adding curly braces to LH_MEDIA in syslinux template.
   * Fixing all LH_MEDIA related stuff in syslinux templates.
   * Adding Brazilian Portuguese templates for syslinux.
 .
   [ Daniel Baumann ]
   * Updating debian-cd data.
 .
   [ Chris Lamb ]
   * Fix LH_INTERACTIVE switch statement.
 .
   [ Daniel Baumann ]
   * Setting default desktop for tasksel when installing package tasks to
     avoid ending up with a pulled in gnome in all cases, thanks a lot to
     Ben Armstrong <synrg@debian.org> for finding this solution.
Checksums-Sha1: 
 82d8578234aebad597ef0b7ec36bde9a2e5ca498 1275 live-build_2.0~a22-1.dsc
 09890747a817513afe732bb9710eea23726484d3 2533452 live-build_2.0~a22.orig.tar.gz
 09e634ffa138636984def44247feb3fa52361c90 41212 live-build_2.0~a22-1.diff.gz
 23e4b649d9da3e7aa8122444265ce1ab3ccfaf30 1177636 live-build_2.0~a22-1_all.deb
 cbd3120e8a182dd1eca6b7bcec51a1238b67d0c9 58722 live-build-cgi_2.0~a22-1_all.deb
 7d06d0ce804f65d2e54b97ab8e92e7a8f42a5c27 53606 live-helper_2.0~a22-1_all.deb
Checksums-Sha256: 
 4917d913c5cf301f25e4837a09dcac48baf52578666bffc380b4e5af878c1af2 1275 live-build_2.0~a22-1.dsc
 627c1e4265c0b93fc6da33bececb08a644566e50d7b3129bba80c4ceb564f476 2533452 live-build_2.0~a22.orig.tar.gz
 6235f6809a556c216eb9f1070112b5d09b9f143917f2ebd9a25d6ee3ace60f0e 41212 live-build_2.0~a22-1.diff.gz
 2906cd6f3596ca44cc6e78899c5319f00aec415f392589d296c11a2db8af39a8 1177636 live-build_2.0~a22-1_all.deb
 3cdcc8c2c11918ca355f5e1312eb68dec6f6e4830a44e28abbb1246a22879429 58722 live-build-cgi_2.0~a22-1_all.deb
 7dfa02372b01a388153ed6a2545fe888cbc629798f95f8b412d34b7d71d51bd7 53606 live-helper_2.0~a22-1_all.deb
Files: 
 00a620d27180bea58c170584154658d2 1275 misc optional live-build_2.0~a22-1.dsc
 7af6d818d1c6da28f4821fb94e84d075 2533452 misc optional live-build_2.0~a22.orig.tar.gz
 02e728e55ae1ef90435f421aab96863e 41212 misc optional live-build_2.0~a22-1.diff.gz
 e27f9586406ebe5e3eb72dcb43d20be4 1177636 misc optional live-build_2.0~a22-1_all.deb
 361dc8d0f9e1360ea32c8735a99e36de 58722 misc optional live-build-cgi_2.0~a22-1_all.deb
 44b65de4dbb17989b7ee502368148fbf 53606 misc optional live-helper_2.0~a22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxgulQACgkQ+C5cwEsrK56BfACfSjyv1+dQ9xBBHf1ZVTK+THDN
adEAnjD0S+V/9kqDE1oQCAJYKVdYHYhL
=dt6d
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Sep 2010 07:36:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:18:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.